cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
jmt8287
New Contributor

R10.5.2 on TA912 (2nd Gen) upgrade error

I just recently upgraded a TA912 from A2.06.00.E to R10.5.2 and ran into a problem with the current config not being recognized by the new source code.

I had this config in my PRI

interface pri 1

  isdn name-delivery proceeding

  calling-party number xxxxxxxxxx

  connect t1 0/2 tdm-group 1

  role network b-channel-restarts disable

  no shutdown

but the "calling-party number" no longer exists in this firmware and I'm unable to find it anywhere else in the unit nor on this site. I was looking for the R10.5.2 command reference guide but all I could find is R10.8 which says it is in there. Is this possibly a flaw with R10.5.2? Has anyone had any luck with later versions of the firmware like R10.8.

Thanks

Labels (2)
0 Kudos
5 Replies
jwable
Contributor III
Contributor III

Re: R10.5.2 on TA912 (2nd Gen) upgrade error

jmt8287,

    It is there on 10.7.0 but confirmed not there on 10.5.2 interesting thing is if you do a show run verbose on 10.5.2 it shows the configurations for calling party but you cant type them.  So 10.7.0 has what you need.

John Wable

Anonymous
Not applicable

Re: R10.5.2 on TA912 (2nd Gen) upgrade error

Hello and thank you for posting to our forum.

That command has been removed and is no longer available.  The Command Reference Guide may not have the command removed yet.  Going forward, the Calling Party Number can be set on the Voice Trunk (Trunk Account) associated with the PRI.

caller-id-override number-inbound <NUMBER> 

caller-id-override number-inbound <NUMBER> if-no-cpn

Here you can set the Calling Party Number for all calls (top line) or if there is no Calling Party Number sent to the ADTRAN (bottom line).

Let me know if you have any questions.

Regards,

Geoff

jwable
Contributor III
Contributor III

Re: R10.5.2 on TA912 (2nd Gen) upgrade error

Geoff,

     Maybe it's because by device currently running 10.7.0 is a Netvanta 7100 but the command is definetly there and usable in the 10.7.0 code.

7100.jpg

John Wable

Anonymous
Not applicable

Re: R10.5.2 on TA912 (2nd Gen) upgrade error

Thanks for that information Jim.  It looks like the command has not been removed yet.  I have tried:

R10.5.0

R10.5.2

R10.5.3

and the command is still in there, under the PRI interface.

Regards,

Geoff

Anonymous
Not applicable

Re: R10.5.2 on TA912 (2nd Gen) upgrade error

Hello,

I went ahead and flagged this post as "Assumed Answered". If any of the responses on this thread assisted you, please mark them as Correct or Helpful as the case may be with the applicable buttons. This will make them visible and help other members of the community find solutions more easily. If you still need assistance, we would be more than happy to continue working with you on this - just let us know in a reply.

Thanks,

Geoff